module.exports = function (rootDirectory, { saveTo }, callback) {
  if (!saveTo.includes('/deployment') || !saveTo.includes('.zip')) {
    callback(new Error('Zip file format is missing \'deployment\' directory or \'zip\' file extention'));
  } else if (!rootDirectory) {
    callback(new Error('Cannot zip files without an entry point'));
  } else {
    callback();
  }
};
